curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/netsuite/item-fulfillments' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"fulfillmentData": {}
}'
{
"recordId": "string",
"data": {}
}
Create a NetSuite item fulfillment
NetSuite item fulfillment created
POST
/
v1
/
tenants
/
{tenant_id}
/
netsuite
/
item-fulfillments
curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/netsuite/item-fulfillments' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"fulfillmentData": {}
}'
{
"recordId": "string",
"data": {}
}
Path parameters
string
required
Tenant identifier
Request body
object
object
required
Item fulfillment data in NetSuite format
Response
object
string
required
NetSuite internal record ID
object
required
Full record data
Status codes
| Code | Meaning |
|---|---|
200 | NetSuite item fulfillment created |
401 | Unauthorized |
424 | NetSuite integration not configured |
502 | NetSuite API error |
curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/netsuite/item-fulfillments' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"fulfillmentData": {}
}'
{
"recordId": "string",
"data": {}
}
Last modified on August 31, 2026